/** \defgroup docCore Core of hydrogen
 * All major classes of the part of hydrogen.
*/

/** \defgroup docAudioEngine Audio engine
 *
 * Parts of the source code belonging to the audio engine and coping
 * with the actual audio processing.
 */

/** \defgroup docAudioDriver Audio driver
 *
 * These classes handle the communication with the sound card of your
 * computer.
 */
/** \defgroup docDataStructure Data structures
 *
 * Basic data structures hydrogen uses to store/handle individual
 * instruments, samples, whole drumkits etc.
 */
/** \defgroup docConfiguration Configuration
 *
 * Classes and functions allowing for customizing both the behavior
 * and the appearance of hydrogen.
 */
/** \defgroup docDebugging Debugging
 *
 * Classes, functions, and macros making the debugging hydrogen more
 * convenient.
 */
/** \defgroup docEvent Events
 *
 * Basic classes for communication of the core part of hydrogen with
 * its GUI.
 */
/** \defgroup docMIDI MIDI 
 *
 * Various MIDI-related classes and functions.
 */
/** \defgroup docAutomation Automation
 *
 * Various classes for controlling hydrogen from outside the program itself.
 */

/** \defgroup docGUI GUI of hydrogen
 *
 * All major classes of the GUI of hydrogen.
 */
/** \defgroup docWidgets Widgets
 *
 * Fundamental classes the GUI is constructed with.
 */
